Alternative CSS for webclient - Defect #373

Unwanted scrollbar
Description

When using this (great) css for the webclient, | get an extra scrollbar.
| guess the alternate css uses more space, compared to the default 1, 2, 3, >>

Is there a way to avoid this unwanted scrollbar?

History

#1 - 10/14/2011 01:35 PM - Imre Tokai
- Status changed from New to Feedback

- % Done changed from 0 to 90

Would suggest changes in servoy_web_client_default.css marked as bold below.

Regards

a.navigatornumber, em span.navigatornumber, .navigatornext, .navigatorprev, .navigatorfirst, .navigatorlast {

/* For Internet Explorer /

filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#cccccc', endColorstr="#666666");

/ For WebKit (Safari, Google Chrome etc) /

background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #ccc), color-stop(1, #666));

/ For Mozilla/Gecko (Firefox etc) /

background: -moz-linear-gradient(top center, #ccc 0%, #666 100%);

-moz-border-radius: 4px;
-webkit-border-radius: 4pXx;
border-radius: 4px;

border: 1px solid;
border-color: #666 #999 #fff;
color: #fff;

display: inline-block;
font-size: 12px;

font-weight: bold;
*line-height: 12px;

margin: 1px 0 0;

overflow: hidden;

padding: 0 5px;
text-decoration: none;
text-shadow: rgba(0, 0, 0, 0.5) 0 -1px 0;
height: 12px;

}

#2 - 10/14/2011 03:39 PM - Martin Heere

Thanks for your reply, but | was not fully satisfied.

But your answer helped me where to search for this issue and | made some changes as well.

a.navigatornumber, em span.navigatornumber, .navigatornext, .navigatorprev, .navigatorfirst, .navigatorlast {

/* For Internet Explorer /

filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#cccccc', endColorstr="#666666");

/ For WebKit (Safari, Google Chrome etc) /

background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #ccc), color-stop(1, #666));

/ For Mozilla/Gecko (Firefox etc) */

background: -moz-linear-gradient(top center, #ccc 0%, #666 100%);

-moz-border-radius: 4px;
-webkit-border-radius: 4px;
border-radius: 4px;

border: 1px solid;
border-color: #666 #999 #fff;
color: #fff;

display: inline-block;
font-size: 11px;

font-weight: bold;
line-height: 13px;

margin: 1px 0 0;

overflow: hidden;

padding: 0 5px;
text-decoration: none;
text-shadow: rgba(0, 0, 0, 0.5) 0 -1px 0;
height: 15px;
#3 - 10/17/2011 08:25 AM - Harjo Kompagnie

- Status changed from Feedback to In Progress

#4 - 10/17/2011 08:26 AM - Harjo Kompagnie

HI Martin, sorry for my late reply, somehow, | don't get notifications, from servoyForge, will look into that.
can you show me a small solution, where you see this? | don't see it in my solutions.

#5 - 01/12/2012 01:52 PM - Rick Bonkestoter

- Assignee set to Rick Bonkestoter

#6 - 12/07/2012 02:22 PM - Harjo Kompagnie

- Status changed from In Progress to Resolved

#7 - 12/07/2012 02:22 PM - Harjo Kompagnie

- Status changed from Resolved to Closed
